import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  appointmentId: SortOrderSchema.optional()
}).strict();
export const AppointmentFileSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.AppointmentFileSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentFileSumOrderByAggregateInput>;
export const AppointmentFileSumOrderByAggregateInputObjectZodSchema = makeSchema();
